Skip to content

Gets devices​

GET
/devices

Authorizations​

ApiKeyAuth

API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.

Type
API Key (header: Authorization)
Example"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Parameters​

Header Parameters

X-Query

Optionally provide parameters as a JSON object in this header. X-Query values take precedence over query parameters for any overlapping fields.

Type
string
Example{"id":"1,2,3"}

Query Parameters

_limit

Limit for pagination, default 10, max 10000

Type
integer
_page

Page for pagination

Type
integer
_sort

Sort by this field

Type
string
_direction

Sort in this direction (asc, desc)

Type
string
name

Filter by name (prefix search enabled by appending * to the end of the string)

Type
string
Example"Hello *"
tag

Tag to search for in fully qualified key:value format. Example device_type:truck. Partial searches with wildcards may be used, eg. device_type:* or device_type:veh_*

Type
string
Example"device_type:truck"
config.currentFW

Filter by current firmware version

Type
string
_include

Include additional data. Enums: config,users,knownDevices,subscription,subscription.plan,reseller,resellerPlan,qcEvents

Type
array
Unique Items
false
active

Filter by active status

Type
boolean
Exampletrue
serial

Filter by serial (prefix search enabled by appending * to the end of the string) (comma separated for multiple values)

Type
string
Example"12001234"
imei

Filter by IMEI (exact match) (comma separated for multiple values)

Type
string
iccid

Filter by iccid (exact match) (comma separated for multiple values)

Type
string
user

Filter by user username (search enabled by surrounding with *, comma separated for multiple values)

Type
string
Example"*user1*,*user2*"
reseller

Filter by reseller name (exact match)

Type
string
Example"Name*"
_connectedSince

Only show devices connected since this date (currently an alpha filter)

Type
string
id

Filter by ID (comma separated for multiple values)

Type
string
type

Filter by type (comma separated for multiple values)

Type
string
Example"ZeroN"

Request example

Responses​

OK

application/json
JSON
{
  
"data": [
  
  
{
  
  
  
"active": true,
  
  
  
"batteryPct": 0,
  
  
  
"batteryType": "string",
  
  
  
"batteryVoltage": 0,
  
  
  
"btMacAddress": "string",
  
  
  
"btPasskey": 0,
  
  
  
"color": "string",
  
  
  
"config": {
  
  
  
  
"alertAction": "string",
  
  
  
  
"behavior": 0,
  
  
  
  
"command": 0,
  
  
  
  
"currentFW": 0,
  
  
  
  
"debounce": 0,
  
  
  
  
"flashTryCount": 0,
  
  
  
  
"forceFw": true,
  
  
  
  
"fwChannel": "string",
  
  
  
  
"gpsCheckInterval": 0,
  
  
  
  
"gpsStabilize": 0,
  
  
  
  
"gpsTimeout": 0,
  
  
  
  
"homeWifiNetwork": "string",
  
  
  
  
"interval": 0,
  
  
  
  
"modeControl": 0,
  
  
  
  
"modeControl2": 0,
  
  
  
  
"modified": "string",
  
  
  
  
"movementSensitivity": 0,
  
  
  
  
"movementSensitivityOld": 0,
  
  
  
  
"otaFW": 0,
  
  
  
  
"packing": 0,
  
  
  
  
"reasonsToWake": {
  
  
  
  
  
"bluetooth": true,
  
  
  
  
  
"drop": true,
  
  
  
  
  
"geofence": true,
  
  
  
  
  
"move": true
  
  
  
  
},
  
  
  
  
"receivedAt": "string",
  
  
  
  
"reset": 0,
  
  
  
  
"sleepInterval": 0,
  
  
  
  
"stopTimeout": 0,
  
  
  
  
"timed": "string",
  
  
  
  
"tolerancePercentage": 0,
  
  
  
  
"transmitTimeout": 0,
  
  
  
  
"updateAvailability": 0,
  
  
  
  
"wakeAction": "string"
  
  
  
},
  
  
  
"currentMode": 0,
  
  
  
"expires": "string",
  
  
  
"firstSeen": "string",
  
  
  
"iccid": "string",
  
  
  
"id": 0,
  
  
  
"imei": "string",
  
  
  
"imsi": "string",
  
  
  
"knownDevices": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"lastConnection": "string",
  
  
  
"meta": {
  
  
  
  
"additionalProperties": null
  
  
  
},
  
  
  
"name": "string",
  
  
  
"onoWhitelistId": 0,
  
  
  
"ownerId": 0,
  
  
  
"qcEvents": {
  
  
  
  
"additionalProperties": {
  
  
  
  
  
"count": 0,
  
  
  
  
  
"createdAt": "string",
  
  
  
  
  
"updatedAt": "string"
  
  
  
  
}
  
  
  
},
  
  
  
"reseller": {
  
  
  
  
"created": "string",
  
  
  
  
"email": "string",
  
  
  
  
"id": 0,
  
  
  
  
"name": "string",
  
  
  
  
"plans": [
  
  
  
  
  
{
  
  
  
  
  
  
"archived": 0,
  
  
  
  
  
  
"displayName": "string",
  
  
  
  
  
  
"features": "string",
  
  
  
  
  
  
"id": 0,
  
  
  
  
  
  
"name": "string",
  
  
  
  
  
  
"onoWhitelistId": 0,
  
  
  
  
  
  
"resellerId": 0,
  
  
  
  
  
  
"sleepLimit": 0,
  
  
  
  
  
  
"term": 0,
  
  
  
  
  
  
"wakeLimit": 0
  
  
  
  
  
}
  
  
  
  
],
  
  
  
  
"stripeAccountId": "string",
  
  
  
  
"userId": 0,
  
  
  
  
"xeroContactId": "string"
  
  
  
},
  
  
  
"resellerId": 0,
  
  
  
"resellerPlan": {
  
  
  
  
"archived": 0,
  
  
  
  
"displayName": "string",
  
  
  
  
"features": "string",
  
  
  
  
"id": 0,
  
  
  
  
"name": "string",
  
  
  
  
"onoWhitelistId": 0,
  
  
  
  
"resellerId": 0,
  
  
  
  
"sleepLimit": 0,
  
  
  
  
"term": 0,
  
  
  
  
"wakeLimit": 0
  
  
  
},
  
  
  
"resellerPlanId": 0,
  
  
  
"serial": "string",
  
  
  
"siloId": null,
  
  
  
"stripeSubscription": null,
  
  
  
"subscription": {
  
  
  
  
"_stripeSubscriptionId": "string",
  
  
  
  
"created": "string",
  
  
  
  
"deviceId": 0,
  
  
  
  
"expires": "string",
  
  
  
  
"id": 0,
  
  
  
  
"plan": {
  
  
  
  
  
"description": "string",
  
  
  
  
  
"displayName": "string",
  
  
  
  
  
"features": "string",
  
  
  
  
  
"id": 0,
  
  
  
  
  
"name": "string",
  
  
  
  
  
"onoWhitelistId": 0,
  
  
  
  
  
"prices": {
  
  
  
  
  
  
"eur": [
  
  
  
  
  
  
  
[
  
  
  
  
  
  
  
]
  
  
  
  
  
  
],
  
  
  
  
  
  
"gbp": [
  
  
  
  
  
  
  
[
  
  
  
  
  
  
  
]
  
  
  
  
  
  
],
  
  
  
  
  
  
"tax": "[Circular Reference]",
  
  
  
  
  
  
"usd": [
  
  
  
  
  
  
  
[
  
  
  
  
  
  
  
]
  
  
  
  
  
  
]
  
  
  
  
  
},
  
  
  
  
  
"sku": "string",
  
  
  
  
  
"sleepLimit": 0,
  
  
  
  
  
"wakeLimit": 0
  
  
  
  
},
  
  
  
  
"planId": 0,
  
  
  
  
"userId": 0
  
  
  
},
  
  
  
"subscriptionType": null,
  
  
  
"tags": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"type": "string",
  
  
  
"users": [
  
  
  
  
{
  
  
  
  
  
"email": "string",
  
  
  
  
  
"hasBillingInfo": true,
  
  
  
  
  
"id": 0
  
  
  
  
}
  
  
  
],
  
  
  
"uwbId": "string"
  
  
}
  
],
  
"limit": 0,
  
"page": 0,
  
"totalElements": 0,
  
"totalPages": 0
}
Try this endpoint

Playground​

Authorization
Headers
Variables
Key
Value